Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRQuery

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseQuery, JRDesignQuery

    public interface JRQuery

extends JRCloneable

Represents a query used for generation of report data.

Based on the query language, query executer implementations are used to retrieve the data and create a `JRDataSource` to be used by the filling process.

When using the default SQL connection data source, an SQL query must also be provided for JasperReports to automatically retrieve the data. For SQL queries, a very important aspect is that column names in the result set obtained from the query must match the field names defined in the report template.

Version:
  $Id: JRQuery.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRQueryExecuterFactory`

Method Summary
`JRQueryChunk[]` | `getChunks()`
`java.lang.String` | `getLanguage()` Returns the query language.
`java.lang.String` | `getText()` Returns the query string.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getChunks

    JRQueryChunk[] getChunks()

### getText

    java.lang.String getText()

  Returns the query string.

### getLanguage

    java.lang.String getLanguage()

  Returns the query language.

  Based on the query language, a corresponding `JRQueryExecuterFactory` is used to create a `JRQueryExecuter` instance. The query executer is responsible for executing the query and creating a `JRDataSource` from the result.

  Returns:
    the query language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com